(function($) {
    tinymce.create('tinymce.plugins.affiliatelinkbutton', {
        /**
         * Initializes the plugin, this will be executed after the plugin has been created.
         * This call is done before the editor instance has finished it's initialization so use the onInit event
         * of the editor instance to intercept that event.
         *
         * @param {tinymce.Editor} ed Editor instance that the plugin is initialized in.
         * @param {string} url Absolute URL to where the plugin is located.
         */
        init : function(ed, url) {

            ed.addButton('affiliatelink', {
                title : 'ボタン',
                cmd : 'affiliatelink',
                image : url + '/affiliatebutton.png'
            });

            ed.addCommand('affiliatelink', function() {

                /**
                 * Opens the modal window
                 */
                window.afiiliate_remodalinstance.open();

                // 商材タイプ判定
                var ptype = $("input[name=select_type]:checked").val();
                if(ptype != "") {
                    if (ptype=="post") { ptype = "affiliate"; }
                    var setcolor = $("#" + ptype + "_color").wpColorPicker("color");
                    // 各商材タイプのカラー設定があればカラーを設定
                    if (setcolor) {
                        $('#affiliate_insert_button_color').wpColorPicker("color", setcolor);
                    }
                }

                //var number = prompt("リンク先のURLを入力してください"),
                var shortcode,number;
                var flag = false;
                $(document).off('confirmation','[data-remodal-id="modal"]');
                $(document).on('confirmation', '[data-remodal-id="modal"]', function () {
                    if ( flag ) return false;
                    var url = $(this).find('#affiliate_url').val();
                    var content;
                    var inputid = "#affiliate_content";
                    var size = $("#affiliate_size option:selected").val();
                    var btntype = $("input[name='affiliate_insert_button_type']:checked").val();
                    var btncolor = $("#affiliate_insert_button_color").val();

                    content = $(inputid).val();
                    var shortcode = '[lpbutton size="'+size+'" link="' + url + '" type="' + btntype + '" color="' + btncolor + '"]'+ content +'[/lpbutton]';
                    flag = true;
                    ed.execCommand('mceInsertContent', 0, shortcode);
                });

            });

        },

        /**
         * Creates control instances based in the incomming name. This method is normally not
         * needed since the addButton method of the tinymce.Editor class is a more easy way of adding buttons
         * but you sometimes need to create more complex controls like listboxes, split buttons etc then this
         * method can be used to create those.
         *
         * @param {String} n Name of the control to create.
         * @param {tinymce.ControlManager} cm Control manager to use inorder to create new control.
         * @return {tinymce.ui.Control} New control instance or null if no control was created.
         */
        createControl : function(n, cm) {
            return null;
        },

        /**
         * Returns information about the plugin as a name/value array.
         * The current keys are longname, author, authorurl, infourl and version.
         *
         * @return {Object} Name/value array containing information about the plugin.
         */
        getInfo : function() {
            return {
                longname : 'Wptuts Buttons',
                author : 'Lee',
                authorurl : 'http://wp.tutsplus.com/author/leepham',
                infourl : 'http://wiki.moxiecode.com/index.php/TinyMCE:Plugins/example',
                version : "0.1"
            };
        }
    });


    // Register plugin
    tinymce.PluginManager.add( 'affiliatelinkbutton', tinymce.plugins.affiliatelinkbutton );
})(window.jQuery);
