<?php
/**
 * ベーステンプレート
 * : テンプレート階層を上書きし、
 * 基本的にこのテンプレートを先に読み込みます。
 * =====================================================
 * @package  epigone
 * @license  GPLv2 or later
 * @since 1.0.0
 * =====================================================
 */

get_template_part( 'modules/head' );

?>
	<?php epigone_get_header(); ?>

	<div class="<?php echo esc_html( epigone_layout_class() ); ?> row wrapper">
		<?php
			if (is_single()) {
				echo '<p class="pr"><span class="pr-hyouki">PR</span></p>';
			}
		?>

		<div class="large-12 columns main-visual">
		 	<?php
			epigone_dynamic_sidebar( 'main-visual' ); ?>
		</div>

		<div class="clearfix">

		<section class="l-main large-9 main columns">

			<main role="main">

				<?php
				epigone_dynamic_sidebar( 'content-primary' );

				// Action hook before loading the main template.
				do_action( 'get_main_template_before' );

				load_template( epigone_template_path() ); ?>

				<?php
				epigone_dynamic_sidebar( 'content-secondary' );
				do_action( 'get_main_template_after' ); ?>

			</main>
		</section>

		<?php
		$select_type = get_post_meta( get_the_ID(), 'select_type', true );
		if ( !is_single() || $select_type == "blog") {
			?>
			<aside class="l-sidebar large-3 sidebar columns" role="aside">

				<?php
				/**
				 * Action Hook
				 */
				do_action( 'get_sidebar_template' );

				// Get sidebar
				get_template_part( 'modules/sidebar' ); ?>

			</aside>
			<?php
		} ?>

		</div>
	</div>

<?php
/**
 * Action hook "get_footer"
 */
do_action( 'get_footer' );

get_template_part( 'modules/footer' );
