<?php
/**
 * テーマのための関数
 * =====================================================
 * @package  epigone
 * @license  GPLv2 or later
 * @since 1.0.0
 * @see http://scribu.net/wordpress/theme-wrappers.html
 * =====================================================
 */

// デバッグ ON/OFF
//define( 'EPIGONE_DEBUG', false );
//show_admin_bar( false );

require( dirname( __FILE__ ) . '/vendor/autoload.php' );

load_template( get_template_directory() . '/inc/init.php', true );

function my_remove_meta_boxes() {
  remove_meta_box('tagsdiv-post_tag', 'post', 'normal'); // タグ
}
add_action('admin_menu', 'my_remove_meta_boxes');

function is_mobile() {
  $useragents = array(
    'iPhone',          // iPhone
    'iPod',            // iPod touch
    '^(?=.*Android)(?=.*Mobile)', // 1.5+ Android
    'dream',           // Pre 1.5 Android
    'CUPCAKE',         // 1.5+ Android
    'blackberry9500',  // Storm
    'blackberry9530',  // Storm
    'blackberry9520',  // Storm v2
    'blackberry9550',  // Storm v2
    'blackberry9800',  // Torch
    'webOS',           // Palm Pre Experimental
    'incognito',       // Other iPhone browser
    'webmate'          // Other iPhone browser
  );
  $pattern = '/'.implode('|', $useragents).'/i';
  return preg_match($pattern, $_SERVER['HTTP_USER_AGENT']);
}

function allow_post_tags( $allowedposttags ){
  $allowedposttags['iframe'] = array(
    'class' => true,
    'src' => true,
    'width' => true,
    'height' => true,
    'frameborder' => true,
    'allow' => true,
    'allowfullscreen' => true,
    'scrolling' => true,
    'allowtransparency' => true,
    'marginheight' => true,
    'marginwidth' => true
  );
  $allowedposttags['noscript'] = array();
  return $allowedposttags;
}
add_filter('wp_kses_allowed_html','allow_post_tags', 1);


// prpr btn
function gradient($topColor, $ratio = 1.54) {
  $top = hexToRgb($topColor);
  $r = floor($top["r"] / $ratio);
  $g = floor($top["g"] / $ratio);
  $b = floor($top["b"] / $ratio);
  return rgbToHex($r, $g, $b);
}

function rgbToHex($r, $g, $b) {
  return "#" . componentToHex($r) . componentToHex($g) . componentToHex($b);
}

function componentToHex($c) {
  $hex = dechex($c);
  if (strlen($hex) == 1) {
    $return = "0" . $hex;
  } elseif(strlen($hex) == 3) {
    $return = "ff";
  } else {
    $return = $hex;
  }
  return $return;
}

function hexToRgb($hex) {
  if (strlen($hex)===7) {
    $r = substr($hex, 1, 2);
    $g = substr($hex, 3, 2);
    $b = substr($hex, 5, 2);
  } elseif (strlen($hex)===4) {
    $r = substr($hex, 1, 1).substr($hex, 1, 1);
    $g = substr($hex, 2, 1).substr($hex, 2, 1);
    $b = substr($hex, 3, 1).substr($hex, 3, 1);
  } else {
    return false;
  }
  return array("r" => hexdec($r), "g" => hexdec($g), "b" => hexdec($b));
}
add_filter('tiny_mce_before_init','_tinyMCESettings',1000);
function _tinyMCESettings($arr) {
  $arr['block_formats'] = "段落=p;見出し1(赤)=h1;見出し2(ピンク)=h2;見出し3(黄)=h3;見出し4(緑)=h4;見出し5(青)=h5;見出し6(グレー)=h6;整形済みテキスト=pre";
  return $arr;
}


function my_admin_style() {
  echo '<style>
  .cmb-repeat-group-wrap .cmb-repeatable-grouping, .postbox-container .cmb-repeatable-grouping {
    padding-bottom: 1rem !important;
  }
  #body_bgcolor_canvas {
    display: none;
  }
  .wp-picker-container .wp-color-result.button {
    margin: 0 !important;
  }
  .compare_item_tables h5 {
    font-size: 13px;
  }
  .compare_sort_orders .cmb-td label {
    width: 155px;
    display: inline-block;
  }
  .compare_sort_orders .cmb-td label.compare_sort_order_labels {
    width: 225px;
    display: inline-block;
  }
  .compare_item_tables .cmb-row.cmb-type-text-medium.cmb-repeat-group-field {
    padding: 0;
  }
  .cmb-td input.cmb2-upload-file {
    display: none;
  }
  .cmb2-wrap input:not([type="hidden"]) + .button.cmb2-upload-button {
    margin-left: 0;
  }
  .cmb2-wrap .cmb-repeatable-group .cmb2-upload-button {
    float: initial;
  }
  .cmb2-wrap .cmb2-text-large {
    width: 100%;
  }
  #compare_table_repeat .cmb-row:first-child .cmb-th {
    width: 100%;
  }
  .cmb2-wrap .cmb-type-colorpicker.cmb-row:last-of-type, div.right.compare_item_tables {
    border-bottom: 1px solid #e9e9e9 !important;
  }
  .wp-core-ui.wp-editor-wrap.tmce-active .wp-editor-container iframe {
    min-height: 220px;
  }
  iframe#lp_text_ifr,
  iframe#blog_text_ifr {
    min-height: 430px;
  }
  #cmb2-metabox-affiliate_metabox .cmb-row.cmb-type-colorpicker.cmb2-id-affiliate-button-color:last-child {
    border-bottom: none !important
  }
  </style>
  '.PHP_EOL;
}
add_action('admin_print_styles', 'my_admin_style');

add_action('after_switch_theme', 'deregister_sidebar_widgets_ppc_evo');
function deregister_sidebar_widgets_ppc_evo () {
  $sidebar_widgets = wp_get_sidebars_widgets();

  if (isset($sidebar_widgets['sidebar-primary'])) {
    $sidebar_widgets['sidebar-primary'] = array();
    $sidebar_widgets['sidebar-primary'][] = "search-2";
    $sidebar_widgets['sidebar-primary'][] = "categories-2";
    wp_set_sidebars_widgets($sidebar_widgets);
  }
}

function add_script_beforeunload() {

  global $pagenow;
  if($pagenow === 'post.php' || $pagenow === 'post-new.php'){

  echo '<script>
    (function($){
      var sbf_beforeunload_flg = false;

      $(document).on("change", "form", function () {
console.log("0: ", sbf_beforeunload_flg);
        if (!sbf_beforeunload_flg) {
console.log("A");
          sbf_beforeunload_flg = true;
          $(window).on("beforeunload", function(){
console.log("B");
            return "行った変更が保存されない可能性があります。";
          });
        }
      });

      var sbf_ifid = setInterval(function(){
console.log("1");
        if($(".mce-edit-area.mce-container iframe").length){　
console.log("2");
          clearInterval(sbf_ifid);
          $(".mce-edit-area.mce-container iframe").each(function(){
console.log("3");
            $(this).contents().on("keyup", function(){
console.log("4");
              if (!sbf_beforeunload_flg) {
console.log("5");
                sbf_beforeunload_flg = true;
                $(window).on("beforeunload", function(){
console.log("6");
                  return "行った変更が保存されない可能性があります。";
                });
              }
            });
          });
        }
      }, 1000);



      $("input[type=submit]").on("click", function(){
        $(window).off("beforeunload");
      });
    })(jQuery);
    </script>';
  }
}
add_action( 'admin_footer', 'add_script_beforeunload' );
