<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after
 *
 * @package epigone
 */
?>
	<footer id="colophon" class="footer" role="contentinfo">
		<div class="footer__copyright site-info">
			<p class="row text-center">
				<span class="sep"> <?php echo get_theme_mod( 'copyright_text', 'copyright © ' . date( 'Y' ) . ' | ' . get_bloginfo( 'name' ) ); ?></span>
			</p>
			<p class="text-center">
				<a href="<?php echo get_the_permalink( get_option( 'epigone_order_id' ) )?>" class="order-link">
					<i class="fa fa-angle-right"></i> 運営者情報
				</a>
			</p>
		</div>
	</footer>
</div>

<?php

$footerfix_button_display = CompareOptions::get("footerfix_button_display");
$footerfix_button_type    = CompareOptions::get("footerfix_button_type");
$footerfix_affiliate_link = CompareOptions::get("footerfix_affiliate_link");
$footerfix_affiliate_text = CompareOptions::get("footerfix_affiliate_text");

$top_color    = CompareOptions::get("footerfix_affiliate_button_color");
if(!$top_color) $top_color = "#42ff39";
$bottom_color = gradient($top_color);

// 表示順序変更時はヘッダー・フッターを表示しない
$order   = strtolower(get_query_var('order'));
$orderby = get_query_var('orderby');
if (($orderby == "1" || $orderby == "2" || $orderby == "3") && ($order == "asc" || $order == "desc")) {
  $footerfix_button_display = 'false';
}

// footer固定buttonを表示するか
if ($footerfix_button_display === "true") {
	// ノーマル
	if ($footerfix_button_type==="1") {?>
		<style type="text/css">
		#fix_btn { text-align: center; }
		#fix_btn .affiliate-item__button {
			margin: 0;
		  background-color: <?php echo $top_color ?> !important;
		}
		</style>
		<div id="fix_btn" class="affiliate-item">
    	<a href="<?php echo $footerfix_affiliate_link ?>" class="affiliate-item__button transform-bgcolor button large" target="_blank">
    		<span><?php echo $footerfix_affiliate_text ?></span>
      </a>
    </div>
	<?php
	// ぷるぷる
	} elseif($footerfix_button_type==="2") {?>
		<style type="text/css">
		#fix_btn .actionBtn a{
		  background: -webkit-gradient(linear, left top, left bottom, color-stop(0.00, <?php echo $top_color ?>), color-stop(1.00, <?php echo $bottom_color ?>));
		  background: -webkit-linear-gradient(<?php echo $top_color ?>, <?php echo $bottom_color ?>);
		  background: -moz-linear-gradient(<?php echo $top_color ?>, <?php echo $bottom_color ?>);
		  background: -o-linear-gradient(<?php echo $top_color ?>, <?php echo $bottom_color ?>);
		  background: -ms-linear-gradient(<?php echo $top_color ?>, <?php echo $bottom_color ?>);
		  background: linear-gradient(<?php echo $top_color ?>, <?php echo $bottom_color ?>);
		}
		#fix_btn .actionBtn a:hover {
		  background: <?php echo gradient($top_color,  0.98) ?> !important;
		  color: #ffffff !important;
		}
		</style>

		<div id="fix_btn">
			<div class="actionBtn">
				<a href="<?php echo $footerfix_affiliate_link ?>" target="_blank" rel="nofollow" class="animate"><?php echo $footerfix_affiliate_text ?></a>
				<img border="0" src="<?php echo get_template_directory_uri() ?>/assets/images/arrow.png" class="a-arrow">
			</div>
		</div>
		<?php
	}
}

wp_footer();
?>

</body>
</html>