<?php
/**
 * 投稿ページのヘッダー
 * =====================================================
 * @package  epigone
 * @license  GPLv2 or later
 * @since 1.0.0
 * =====================================================
 */

$header_display = CompareOptions::get( "header_display" );
$header_image   = CompareOptions::get( "header_image" );
$header_bgcolor = CompareOptions::get( "header_bgcolor" );

$header_text    = CompareOptions::get( "header_text" );

// 表示順序変更時はヘッダー・フッターを表示しない
$order   = strtolower(get_query_var('order'));
$orderby = get_query_var('orderby');
if (($orderby == "1" || $orderby == "2" || $orderby == "3") && ($order == "asc" || $order == "desc")) {
  $header_display = 'false';
}

if ( $header_display === 'false' ){
	return false;
}
?>


<header id="masthead" class="header-bgcolor header header-normal" role="banner">
	<div class="row">
		<div class="large-12 columns">
			<?php if ($header_text): ?>
				<h1 class="header__logo">
					<?php echo $header_text ?>
				</h1>
			<?php endif ?>

			<?php
			if ( $header_image ) {
				?>
				<div class="text-center header__image">
					<img src="<?php echo $header_image ?>" alt=""/>
				</div>
				<?php
			}  ?>

		</div>
		<div class="large-12 columns">
			<?php
			epigone_dynamic_sidebar( 'header-primary' );
			do_action( 'get_header' );
			?>
		</div>
	</div>
</header>
