<?php
/**
 * 通常商品テンプレート
 * =====================================================
 * @package  epigone
 * @license  GPLv2 or later
 * @since 1.0.0
 * =====================================================
 */

$affiliate_color        = CompareOptions::get("affiliate_header");
$affiliate_color        = CompareOptions::get("affiliate_color");
$affiliate_title        = CompareOptions::get("affiliate_title");
$affiliate_link         = CompareOptions::get("affiliate_link");
$affiliate_text         = CompareOptions::get("affiliate_text");
$affiliate_button_text  = CompareOptions::get("affiliate_button_text");
$affiliate_button_size  = CompareOptions::get("affiliate_button_size");
$affiliate_button_color = CompareOptions::get("affiliate_button_color");
$affiliate_button_type  = CompareOptions::get("affiliate_button_type");
$affiliate_table        = CompareOptions::get("affiliate_table");

  // share btn
  $sns_buttons_display_position = CompareOptions::get("sns_buttons_display_position");

  $is_sns_header = false;
  $is_sns_footer = false;
  if (is_array($sns_buttons_display_position)) {
    $is_sns_header = array_search('header', $sns_buttons_display_position);
    $is_sns_footer = array_search('footer', $sns_buttons_display_position);
  }

  if ($is_sns_header !== false) {
    get_template_part('templates/snsbtn');
  }
?>

<article id="post-<?php the_ID(); ?>" <?php post_class('entry affiliate-item is-single'); ?>>

    <?php
    /** 見出しを非表示に
     * <header class="entry__header affiliate-item__header">
     * <h1 class="entry__title heading--lg affiliate-item__title transform-color"><?php the_title(); ?></h1>
     * </header>
     * <!-- .entry-header -->
     **/ ?>

    <div class="entry__content">

        <?php
        if (has_post_thumbnail()) { ?>
            <div class="affiliate-item__thumbnail">
                <a href="<?php echo $affiliate_link ?>" target="_blank">
                    <?php the_post_thumbnail(); ?>
                </a>
            </div>
            <?php
        } ?>
        <div class="singlemainbtn">
        <?php
            $btncode = '[lpbutton size="'. $affiliate_button_size .'" link="' . $affiliate_link . '" type="' . $affiliate_button_type . '" color="' . $affiliate_button_color . '"]'. $affiliate_button_text .'[/lpbutton]';
            echo do_shortcode($btncode);
        ?>
        </div>
<!-- 
        <div class="affiliate-item__button-wrap">
            <a href="<?php echo $affiliate_link ?>" class="affiliate-item__button transform-bgcolor button <?php echo $affiliate_button_size; ?>" target="_blank">
                <span><?php echo $affiliate_button_text ?></span>
            </a>
        </div>
 -->
        <div class="affiliate-item__detail">

            <?php
            if ($affiliate_title) {
                ?>
                <h3 class="affiliate-item__detail__title transform-color">
                    <?php echo $affiliate_title; ?>
                </h3>
                <?php
            } ?>

            <?php
            if ($affiliate_text) {
                ?>
                <div class="affiliate-item__detail__text">
                    <?php echo do_shortcode($affiliate_text); ?>
                </div>
                <?php
            } ?>
        </div>


        <?php
        if ($is_sns_footer !== false) {
            get_template_part('templates/snsbtn');
        }
        ?>
        <div class="affiliate-item__table transform-table">
            <table class="table" style="width: 100%; margin-bottom: -1px;">

                <tbody>
                    <tr>
                        <th>商品名</th>
                        <td><?php the_title() ?></td>
                    </tr>
                    <tr>
                        <th>カテゴリ</th>
                        <td><?php $tmpc = array(); foreach(get_the_category() as $cat){ $tmpc[] = $cat->cat_name; } echo implode(",", $tmpc); ?></td>
                    </tr>
                </tbody>
            </table>
        </div>

        <?php
        the_content();

        if ( ! current_theme_supports('epigone-pagination')) {
            wp_link_pages(array(
                'before' => '<div class="page-links">' . __('Pages:', 'epigone'),
                'after'  => '</div>',
            ));
        }

        ?>
    </div>
    <!-- .entry-content -->

</article><!-- #post-## -->
