<?php
/**
 * デフォルトのコンテンツテンプレート
 * =====================================================
 * @package  epigone
 * @license  GPLv2 or later
 * @since 1.0.0
 * =====================================================
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'autoheight hentry--tilecard' ); ?>>
	<a href="<?php the_permalink(); ?>" rel="bookmark">
		<?php
		if ( has_post_thumbnail() ) { ?>
			<div class="hentry__thumbnail__wrap text-center">
				<?php
				$thumbnail = wp_get_attachment_image_src( get_post_meta(get_the_ID(), "_thumbnail_id", true), 'tile_thumbnail', array( 'class' => 'hentry__thumbnail th' ) );
				?>
				<div class="hentry__thumbnail" style="background-image: url(<?php echo $thumbnail[0] ?>)"></div>

			</div>
			<?php
		} else {
			?>
			<div class="hentry__thumbnail__wrap text-center">
				<div class="hentry__thumbnail">

					<div class="hentry__thumbnail" style="background-image: url(<?php echo CompareOptions::get( 'default_thumbnail' ) ?>)"></div>
				</div>
			</div>
			<?php
		} ?>
		<header class="hentry__header">
			<h3 class="hentry__title">
				<?php the_title(); ?>
			</h3>
		</header>
		<!-- .hentry__header -->
		<div class="hentry__button">
			<span class="button round expanded">
				<i class="fa fa-chevron-circle-right"></i> 詳細はこちら
			</span>
		</div>
		<div class="hentry__category">
			<div class="hentry__category__text">
				<i class="fa fa-folder"></i> <?php the_category( "," ); ?>
			</div>
		</div>

	</a>
</article><!-- #post-<?php the_ID(); ?> -->
